#include<bits/stdc++.h>
using namespace std;
mt19937_64 rnd(random_device{}());
const int MOD=1000000007;
int main()
{
	freopen("barrack.in","r",stdin);
	freopen("barrack.out","w",stdout);
	printf("%lld\n",rnd()%MOD);
	return 0;
}
